[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator +(Tvector2_single, single): Tvector2_single

Add scalar to two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 408

`operator operator +(Tvector2_single, single): Tvector2_single(`
`const x: Tvector2_single;`
`y: single`
`):Tvector2_single;`

## Description

This operator allows you to add a scalar value to a vector. The scalar is added to all elements of the vector, the result is returned as a new vector.

Documentation generated on: Feb 26 2014